kdevelop (4:26.04.3-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Jul 2026 08:27:55 +0100

kdevelop (4:26.04.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2026 10:28:01 +0100

kdevelop (4:26.04.1-0ubuntu2) stonking; urgency=medium

  * No-change rebuild for libprocesscore11.

 -- Rik Mills <rikmills@kde.org>  Mon, 01 Jun 2026 18:01:35 +0100

kdevelop (4:26.04.1-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2026 11:53:55 +0100

kdevelop (4:26.04.0-2ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current gear version of libkomparediff2.
    - Only try to build on architectures where QtWebEngine is available.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 07 May 2026 06:34:16 +0100

kdevelop (4:26.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 30 Apr 2026 07:39:44 +0200

kdevelop (4:26.04.0-1) experimental; urgency=medium

  [ Raúl Sánchez Siles ]
  * New upstream release (25.08.2).
  * Update soname from 62 to 63

  [ Aurélien COUDERC ]
  * New upstream release (26.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.4, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.
  * Adapt packaging to libraries soname bump from 63 to 64.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 29 Apr 2026 14:41:39 +0200

kdevelop (4:25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 13:50:05 +0000

kdevelop (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:22:24 +0000

kdevelop (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:54:58 +0000

kdevelop (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 08:48:41 +0000

kdevelop (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:02:40 +0000

kdevelop (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:20:07 +0000

kdevelop (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:04:24 +0000

kdevelop (4:25.11.80-0ubuntu1) resolute; urgency=high

  * New upstream (beta) release (25.11.80)
  * Rename packages according to the SONAME bumps:
    - kdevelop63-libs -> kdevelop64-libs
  * Bump KDEV_PLUGIN_VERSION to 64, according to upstream.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Nov 2025 14:52:28 +0000

kdevelop (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:23:10 +0000

kdevelop (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:44:40 +0100

kdevelop (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:07:35 +0100

kdevelop (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:52:00 +0100

kdevelop (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:44:34 +0100

kdevelop (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Rename packages according to the SONAME bumps:
    - kdevelop62-libs -> kdevelop63-libs
  * Bump KDEV_PLUGIN_VERSION to 63, according to upstream.
  * Update install files.


 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 11:59:47 +0100

kdevelop (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:42:24 +0100

kdevelop (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:44:30 +0100

kdevelop (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:05:51 +0100

kdevelop (4:25.04.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Adapt packaging to libraries soname bump from 61 to 62.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 14:40:46 +0200

kdevelop (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
    * Rename packages according to the SONAME bumps:
    - kdevelop61-libs -> kdevelop62-libs
  * Bump KDEV_PLUGIN_VERSION to 62, according to upstream.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:48:35 +0100

kdevelop (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current gear version of libkomparediff2.
    - Only try to build on architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Mar 2025 06:21:34 +0000

kdevelop (4:24.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop the kinit dependency, as kinit is no more in KF6.
  * Concatenate all the keys in debian/upstream/signing-key.asc.
  * CI: update/simplify configuration.
  * Restore the libastyle-dev build dependency for the astyle plugin, removed
    in version 4:24.12.0-1.
  * Since kdevelop requires Qt WebEngine, which is available only on few
    architectures and all of those have clang, then drop the bits to support
    architectures without clang:
    - drop the patch optional-clang.diff
    - drop the architecture exclusions from the clang, and llvm-dev build
      dependencies
    - drop the code to set an empty value for the ${kdevelop:clang} substvar
    - drop manual creation of /usr/share/kdevclangsupport
    - drop the architecture exclusions for few files in debian/kdevelop.install
  * Now that there are no more architecture exclusions in install files,
    use the debhelper 13 replacement features in install files:
    - switch from ${KDEV_PLUGIN_VERSION} to ${env:KDEV_PLUGIN_VERSION}
    - remove the dh-exec build dependency, no more needed
    - remove the lintian override for the old method

 -- Pino Toscano <pino@debian.org>  Sun, 23 Mar 2025 20:13:16 +0100

kdevelop (4:24.12.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Replace manual QML runtime dependencies with dh-sequence-qmldeps. (Closes:
    #1093691)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 Jan 2025 16:17:59 +0100

kdevelop (4:24.12.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Qt WebEngine is now a strict dependency.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 22:24:16 +0100

kdevelop (4:24.12.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing qt6-5compat-dev dependency for the kdevelop-dev package.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 22:03:45 +0100

kdevelop (4:24.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Reupload source-only.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 21:44:40 +0100

kdevelop (4:24.12.0-1) unstable; urgency=low

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Adapt packaging to libraries soname bump from 512 to 61.
  * Use Debian’s default clang version (currently 19).
  * Cleanup obsolete debian/rules command.
  * Remove ia64 from architecture qualifiers.
  * Added myself to the uploaders.
  * Remove use of obsolete grantlee library.
  * Drop obsolete Breaks/Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Jan 2025 18:34:50 +0100

kdevelop (4:23.08.1-4) unstable; urgency=medium

  * Team upload.

  [ Dandan Zhang ]
  * Enable the usage of LLVM/Clang on loong64.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Aug 2024 14:33:15 +0200

kdevelop (4:23.08.1-3) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop libkf5sysguard-dev from build-deps, it’s going away with Plasma 6.
  * Replace pkg-konfig transitional build-dep with pkgconf.
  * Bump Standards-Version to 4.7.0, no change required.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 30 Jul 2024 15:32:34 +0200

kdevelop (4:23.08.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Sep 2023 17:15:06 +0200

kdevelop (4:23.08.1-1) experimental; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.2
    - bump KF packages to 5.91.0
  * Rename packages according to the SONAME bumps:
    - kdevelop510-libs -> kdevelop512-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * Update lintian overrides.
  * Update the patches:
    - upstream_Drop-custom-Find-modules-and-use-upstream-ClangConfi.patch:
      drop, backported from upstream
    - upstream_Don-t-look-for-Clang-s-builtin-dir-in-unclean-versio.patch:
      drop, backported from upstream
    - upstream_Look-for-Clang-16-builtin-dir-in-major-version-subdi.patch:
      drop, backported from upstream
    - upstream_Don-t-cast-out-of-enum-range-1-to-CommonIntegralType.patch:
      drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Mon, 18 Sep 2023 08:55:08 +0200

kdevelop (4:22.12.2-3) unstable; urgency=medium

  * Backport upstream commit 1a92bed73ae31e6f90c3bffe455f8e3c46ac4905,
    commit 9913f734d8aab75ea2e97c699cd926e9fd7a40b6, and
    commit 1c7bdc2e0f8dcf2aeb682ab3f5e317e3a97435ea, and
    ede1cf4ad6f945349060db9446c489e3fd34dec4 to find LLVM/Clang >= 16, and
    build with it; patches
    upstream_Drop-custom-Find-modules-and-use-upstream-ClangConfi.patch,
    upstream_Don-t-look-for-Clang-s-builtin-dir-in-unclean-versio.patch,
    upstream_Look-for-Clang-16-builtin-dir-in-major-version-subdi.patch,
    upstream_Don-t-cast-out-of-enum-range-1-to-CommonIntegralType.patch
    (Closes: #1051885)
    - refresh optional-clang.diff to apply cleanly on top of them
  * Disable the usage of LLVM/Clang on loong64 & sparc64, as it is not available
    on these architectures.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Sep 2023 07:35:46 +0200

kdevelop (4:22.12.2-2) unstable; urgency=medium

  * Get the right grantlee dependency for the shipped plugin:
    - add the dh-sequence-grantlee build dependency
    - use the ${grantlee:Depends} substvar
  * Remove 2 obsolete maintscript entries in 1 files.
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the kfreebsd-any qualifiers from the clang, libclang-dev, and
      llvm-dev build dependencies
    - drop the kfreebsd-any qualifiers in install files
    - stop mentioning kfreebsd architectures in the no_clang_args rules variable

 -- Pino Toscano <pino@debian.org>  Sat, 05 Aug 2023 20:34:06 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kdevelop-l10n`.
